# AI-Search

## What is it?

AI-Search is a powerful tool that allows you to perform intelligent searches on local files and services within the books folder. It uses artificial intelligence to select files and answers with greater ease and precision. It can also better understand your queries with a rich database of information.

## What can it do?

search with artificial intelligence all your files or services inside the books folder.

It is able to understand and select files and responses much more easily and precisely thanks to its new database full of information to use at any time.

By writing the URL of a web page you will see the text contained in it.

New API feature. Every data of our AI is loaded from an API in seconds, it also works offline.

## How to run the AI?

Running our application is very simple, you just need to run the main.py file 
or write the following code in the main folder of the project

### Using the PyPi library

> Install the library

```bash
pip3 install ai-search-api
```

> Import the library in your code

```python
import ai_search_api as ai
```

> Update the library

```python
ai.update()
```

> Ask a question

```python
while True:
	question = input("you: ")
	print("ai-search: " + str(ai.request(question)))
```

### Using the repository

> First import these two libraries that are needed to run the code

```python
    import update
    import ai_search.main as ai
```
> Now write this code that allows you to send questions and receive information from Ai-search
```python
    #infinite questions
    while True:
        # set the request
        ai.req = input('ai-search: ')
        ai.run()
        results = ai.result

        # print the results
        print('results: ')
        for result in results:
            print(result)
            print()
```

## Code Structure
main.py
> This is the entry point for the application. It handles user input and displays the results from the AI-powered search.

> ai_search/main.py
This module contains the core logic for the AI engine. It processes the search queries and retrieves the results based on local files or web scraping.

> update.py (Optional)
If the project includes an update mechanism, this file will manage it. If not needed, you can ignore it.

---

### Contributing
We welcome contributions to improve AI-Search! If you'd like to help, you can:

> Fork the repository

>Create a new branch for your changes

>Submit a pull request with a description of your modifications

>Please make sure to follow the project guidelines and write tests for any new features you add.

### License
This project is licensed under the MIT License. See the LICENSE file for details.

---

### Installation requirements

Make sure you have Python 3.x installed on your system.

---

### Clone the repository

Start by cloning the project repository:

```bash
git clone https://gitlab.com/neopad/ai-search.git
cd ai-search
```

# AI-Search

## What is it?

**AI-Search** is a powerful tool that allows you to perform intelligent searches on local files and services within the **books** folder. It uses artificial intelligence to select files and answers with greater ease and precision. It can also better understand your queries with a rich database of information, enabling a seamless and efficient search experience.

## What can it do?

- **Intelligent Search**: AI-Search can search and analyze all your files or services inside the **books** folder. Thanks to a powerful AI engine, it selects files and responses with greater accuracy and context-awareness.
  
- **Web Scraping**: By entering the URL of a web page, AI-Search extracts and displays the text contained in it. This makes it a versatile tool for real-time content retrieval and analysis.

- **New API Feature**: AI data is fetched through a powerful API, allowing fast results in seconds. The system works both online and offline, so you can continue using it even without an internet connection.

---

## How to Run the AI?

Running **AI-Search** is simple. Just follow these steps:

### Step 1: Import Required Libraries

First, import the necessary libraries to run the code:

```python
import update
import ai_search.main as ai
```

### Step 2: Run the Search Loop
Now, use the following code to send questions to AI-Search and receive answers. This code will run an infinite loop where you can continue asking questions:

```python
# Infinite loop for continuous questioning
while True:
    # Set the request
    ai.req = input('ai-search: ')
    ai.run()  # Run the AI search
    results = ai.result  # Capture the results

    # Print the results
    print('Results: ')
    for result in results:
        print(result)  # Print each result
        print()  # Add space between results
```
---
### Clone the Repository
Start by cloning the project repository to your local machine:

```bash
git clone https://gitlab.com/neopad/ai-search.git
cd ai-search
```
---
### Install Dependencies
Ensure that all necessary Python dependencies are installed. If a requirements.txt file is provided, you can install the dependencies using pip:

```bash
pip install -r requirements.txt
```
---

By @neopadAI
follow us on Twitter(X) [@neopadai__](https://www.x.com/neopadai__)